#adminmenuback,
#adminmenuwrap,
#adminmenu,
#adminmenu .ere-submenu {
	width: 160px;
	background-color: #23282d;
}

#adminmenuback {
	position: fixed;
	top: 0;
	bottom: -120px;
	z-index: 1; /* positive z-index to avoid elastic scrolling woes in Safari */
}

#adminmenu {
	clear: left;
	margin: 12px 0;
	padding: 0;
	list-style: none;
}

.folded #adminmenuback,
.folded #adminmenuwrap,
.folded #adminmenu,
.folded #adminmenu li.menu-top {
	width: 36px;
}

.icon16 {
	height: 18px;
	width: 18px;
	padding: 6px 6px;
	margin: -6px 0 0 -8px;
	float: left;
}

/* New Menu icons */

.icon16:before {
	color: #82878c; /* same as new icons */
	font: normal 20px/1 dashicons;
	speak: none;
	padding: 6px 0;
	height: 34px;
	width: 20px;
	display: inline-block;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	-webkit-transition: all .1s ease-in-out;
	transition: all .1s ease-in-out;
}

.icon16.icon-dashboard:before {
	content: "\f226";
}

.icon16.icon-post:before {
	content: "\f109";
}

.icon16.icon-media:before {
	content: "\f104";
}

.icon16.icon-links:before {
	content: "\f103";
}

.icon16.icon-page:before {
	content: "\f105";
}

.icon16.icon-comments:before {
	content: "\f101";
	margin-top: 1px;
}

.icon16.icon-appearance:before {
	content: "\f100";
}

.icon16.icon-plugins:before {
	content: "\f106";
}

.icon16.icon-users:before {
	content: "\f110";
}

.icon16.icon-tools:before {
	content: "\f107";
}

.icon16.icon-settings:before {
	content: "\f108";
}

.icon16.icon-site:before {
	content: "\f541";
}

.icon16.icon-generic:before {
	content: "\f111";
}

/* hide background-image for icons above */
.icon16.icon-dashboard,
.menu-icon-dashboard div.ere-menu-image,
.icon16.icon-post,
.menu-icon-post div.ere-menu-image,
.icon16.icon-media,
.menu-icon-media div.ere-menu-image,
.icon16.icon-links,
.menu-icon-links div.ere-menu-image,
.icon16.icon-page,
.menu-icon-page div.ere-menu-image,
.icon16.icon-comments,
.menu-icon-comments div.ere-menu-image,
.icon16.icon-appearance,
.menu-icon-appearance div.ere-menu-image,
.icon16.icon-plugins,
.menu-icon-plugins div.ere-menu-image,
.icon16.icon-users,
.menu-icon-users div.ere-menu-image,
.icon16.icon-tools,
.menu-icon-tools div.ere-menu-image,
.icon16.icon-settings,
.menu-icon-settings div.ere-menu-image,
.icon16.icon-site,
.menu-icon-site div.ere-menu-image,
.icon16.icon-generic,
.menu-icon-generic div.ere-menu-image {
	background-image: none !important;
}

/*------------------------------------------------------------------------------
  7.0 - Main Navigation (Left Menu)
------------------------------------------------------------------------------*/

#adminmenuwrap {
	position: relative;
	float: left;
	z-index: 9990;
}

/* side admin menu */
#adminmenu * {
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

#adminmenu li {
	margin: 0;
	padding: 0;
	cursor: pointer;
}

#adminmenu a {
	display: block;
	line-height: 18px;
	padding: 2px 5px;
	color: #eee;
}

#adminmenu .ere-submenu a {
	color: #b4b9be;
	color: rgba(240,245,250,0.7);
}

#adminmenu .ere-submenu a:hover,
#adminmenu .ere-submenu a:focus {
	background: none;
}

#adminmenu a:hover,
#adminmenu li.menu-top > a:focus,
#adminmenu .ere-submenu a:hover,
#adminmenu .ere-submenu a:focus {
	color: #00b9eb;
}

#adminmenu li.menu-top {
	border: none;
	min-height: 34px;
	position: relative;
}

#adminmenu .ere-submenu {
	list-style: none;
	position: absolute;
	top: -1000em;
	left: 160px;
	overflow: visible;
	word-wrap: break-word;
}

#adminmenu .ere-submenu,
.folded #adminmenu a.ere-has-current-submenu:focus + .ere-submenu,
.folded #adminmenu .ere-has-current-submenu .ere-submenu {
	padding: 7px 0 8px;
	z-index: 9999;
	background-color: #32373c;
	-webkit-box-shadow: 0 3px 5px rgba(0,0,0,0.2);
	box-shadow: 0 3px 5px rgba(0,0,0,0.2);
}

.js #adminmenu .sub-open,
.js #adminmenu .opensub .ere-submenu,
#adminmenu a.menu-top:focus + .ere-submenu,
.no-js li.ere-has-submenu:hover .ere-submenu {
	top: -1px;
}

#adminmenu .ere-has-current-submenu .ere-submenu,
.no-js li.ere-has-current-submenu:hover .ere-submenu,
#adminmenu a.ere-has-current-submenu:focus + .ere-submenu,
#adminmenu .ere-has-current-submenu .ere-submenu.sub-open,
#adminmenu .ere-has-current-submenu.opensub .ere-submenu {
	position: relative;
	z-index: 3;
	top: auto;
	left: auto;
	right: auto;
	bottom: auto;
	border: 0 none;
	margin-top: 0;
	-webkit-box-shadow: none;
	box-shadow: none;
	background-color: #32373c;
}

/* ensure that ere-submenu's box shadow doesn't appear on top of the focused menu item's background. */
#adminmenu li.menu-top:hover,
#adminmenu li.opensub > a.menu-top,
#adminmenu li > a.menu-top:focus {
	position: relative;
	background-color: #191e23;
	color: #00b9eb;
}

.folded #adminmenu li.menu-top:hover,
.folded #adminmenu li.opensub > a.menu-top,
.folded #adminmenu li > a.menu-top:focus {
	z-index: 10000;
}

#adminmenu li.ere-has-current-submenu a.ere-has-current-submenu,
#adminmenu li.current a.menu-top,
.folded #adminmenu li.ere-has-current-submenu,
.folded #adminmenu li.current.menu-top,
#adminmenu .ere-menu-arrow,
#adminmenu .ere-has-current-submenu .ere-submenu .ere-submenu-head,
#adminmenu .ere-menu-arrow div {
	background: #0073aa;
	color: #fff;
}

.folded #adminmenu .ere-submenu.sub-open,
.folded #adminmenu .opensub .ere-submenu,
.folded #adminmenu .ere-has-current-submenu .ere-submenu.sub-open,
.folded #adminmenu .ere-has-current-submenu.opensub .ere-submenu,
.folded #adminmenu a.menu-top:focus + .ere-submenu,
.folded #adminmenu .ere-has-current-submenu a.menu-top:focus + .ere-submenu,
.no-js.folded #adminmenu .ere-has-submenu:hover .ere-submenu  {
	top: 0;
	left: 36px;
}

.folded #adminmenu a.ere-has-current-submenu:focus + .ere-submenu,
.folded #adminmenu .ere-has-current-submenu .ere-submenu {
	position: absolute;
	top: -1000em;
}

#adminmenu .ere-not-current-submenu .ere-submenu,
.folded #adminmenu .ere-has-current-submenu .ere-submenu {
	min-width: 160px;
	width: auto;
}

#adminmenu .ere-submenu a {
	font-size: 13px;
	line-height: 1.2;
	margin: 0;
	padding: 6px 0;
}

#adminmenu .ere-submenu li.current,
#adminmenu .ere-submenu li.current a,
#adminmenu .opensub .ere-submenu li.current a,
#adminmenu a.ere-has-current-submenu:focus + .ere-submenu li.current a,
#adminmenu .ere-submenu li.current a:hover,
#adminmenu .ere-submenu li.current a:focus {
	color: #fff;
}

#adminmenu .ere-not-current-submenu li > a,
.folded #adminmenu .ere-has-current-submenu li > a {
	padding-right: 16px;
	padding-left: 14px;
	-webkit-transition: all .1s ease-in-out;
	transition: all .1s ease-in-out;
}

#adminmenu .ere-has-current-submenu ul > li > a,
.folded #adminmenu li.menu-top .ere-submenu > li > a {
	padding: 6px 12px;
}

#adminmenu a.menu-top,
#adminmenu .ere-submenu-head {
	font-size: 14px;
	font-weight: 400;
	line-height: 18px;
	padding: 0;
}

#adminmenu .ere-submenu-head {
	display: none;
}

.folded #adminmenu .ere-menu-name {
	position: absolute;
	left: -999px;
}

.folded #adminmenu .ere-submenu-head {
	display: block;
}

#adminmenu .ere-submenu li {
	padding: 0;
	margin: 0;
	overflow: hidden;
}

#adminmenu .ere-menu-image img {
	padding: 9px 0 0 0;
	opacity: 0.6;
	filter: alpha(opacity=60);
}

#adminmenu div.ere-menu-name {
	padding: 8px 0;
}

#adminmenu div.ere-menu-image {
	float: left;
	width: 36px;
	height: 34px;
	margin: 0;
	text-align: center;
}

#adminmenu div.ere-menu-image.svg {
	background-repeat: no-repeat;
	background-position: center;
	-webkit-background-size: 20px auto;
	background-size: 20px auto;
}

div.ere-menu-image:before {
	color: #a0a5aa;
	color: rgba(240,245,250,0.6);
	padding: 7px 0;
	-webkit-transition: all .1s ease-in-out;
	transition: all .1s ease-in-out;
}

#adminmenu div.ere-menu-image:before {
	color: #a0a5aa;
	color: rgba(240,245,250,0.6);
}

#adminmenu li.ere-has-current-submenu:hover div.ere-menu-image:before,
#adminmenu .ere-has-current-submenu div.ere-menu-image:before,
#adminmenu .current div.ere-menu-image:before,
#adminmenu a.ere-has-current-submenu:hover div.ere-menu-image:before,
#adminmenu a.current:hover div.ere-menu-image:before,
#adminmenu li.ere-has-current-submenu a:focus div.ere-menu-image:before,
#adminmenu li.ere-has-current-submenu.opensub div.ere-menu-image:before {
	color: #fff;
}

#adminmenu li:hover div.ere-menu-image:before,
#adminmenu li a:focus div.ere-menu-image:before,
#adminmenu li.opensub div.ere-menu-image:before {
	color: #00b9eb;
}

/* IE8 doesn't redraw the pseudo elements unless you make a change to the content, this restore the initial color after hover */
.ie8 #adminmenu li.opensub div.ere-menu-image:before {
	color: #a0a5aa;
}

.folded #adminmenu div.ere-menu-image {
	width: 35px;
	height: 30px;
	position: absolute;
	z-index: 25;
}

.folded #adminmenu a.menu-top {
	height: 34px;
}

/* No @font-face support */
.no-font-face #adminmenu .ere-menu-image {
	display: none;
}

.no-font-face #adminmenu div.ere-menu-name {
	padding: 8px 12px;
}

.no-font-face.auto-fold #adminmenu .ere-menu-name {
	margin-left: 0;
}
/* End no @font-face support */

/* Sticky admin menu */
.sticky-menu #adminmenuwrap {
	position: fixed;
}

/* A new arrow */

.ere-menu-arrow {
	display: none !important;
}

ul#adminmenu a.ere-has-current-submenu {
	position: relative;
}

ul#adminmenu a.ere-has-current-submenu:after,
ul#adminmenu > li.current > a.current:after {
	right: 0;
	border: solid 8px transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
	border-right-color: #f1f1f1;
	top: 50%;
	margin-top: -8px;
}

.folded ul#adminmenu li:hover a.ere-has-current-submenu:after {
	display: none;
}

.folded ul#adminmenu a.ere-has-current-submenu:after,
.folded ul#adminmenu > li a.current:after {
	border-width: 4px;
	margin-top: -4px;
}

/* flyout menu arrow */
#adminmenu li.ere-has-submenu.ere-not-current-submenu:hover:after {
	right: 0;
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
	border-width: 8px;
	top: 10px;
	z-index: 10000;
}

.folded ul#adminmenu li.ere-has-submenu.ere-not-current-submenu:hover:after {
	border-width: 4px;
	margin-top: -4px;
	top: 18px;
}

#adminmenu li.ere-has-submenu.ere-not-current-submenu.opensub:hover:after {
	border-right-color: #32373c;
}

#adminmenu li.menu-top:hover .ere-menu-image img,
#adminmenu li.ere-has-current-submenu .ere-menu-image img {
	opacity: 1;
	filter: alpha(opacity=100);
}

#adminmenu li.ere-menu-separator {
	height: 5px;
	padding: 0;
	margin: 0 0 6px 0;
	cursor: inherit;
}

/* @todo: is this even needed given that it's nested beneath the above li.ere-menu-separator? */
#adminmenu div.separator {
	height: 2px;
	padding: 0;
}

#adminmenu .ere-submenu .ere-submenu-head {
	color: #fff;
	font-weight: 400;
	font-size: 14px;
	padding: 8px 4px 8px 11px;
	margin: -7px 0px 4px;
}

#adminmenu li.current,
.folded #adminmenu li.ere-menu-open {
	border: 0 none;
}

#adminmenu .awaiting-mod,
#adminmenu .update-plugins {
	display: inline-block;
	background-color: #d54e21;
	color: #fff;
	font-size: 9px;
	line-height: 17px;
	font-weight: 600;
	margin: 1px 0 0 2px;
	vertical-align: top;
	-webkit-border-radius: 10px;
	border-radius: 10px;
	z-index: 26;
}

#adminmenu li .awaiting-mod span,
#adminmenu li span.update-plugins span {
	display: block;
	padding: 0 6px;
}

#adminmenu li.current a .awaiting-mod,
#adminmenu	li a.ere-has-current-submenu .update-plugins {
	background-color: #00b9eb;
	color: #fff;
}

#adminmenu li span.count-0 {
	display: none;
}

#collapse-menu {
	font-size: 13px;
	line-height: 34px;
	margin-top: 10px;
	color: #a0a5aa;
	color: rgba(240,245,250,0.6);
	-webkit-transition: all .1s ease-in-out;
	transition: all .1s ease-in-out;
}

#collapse-menu:hover,
#collapse-menu:hover #collapse-button div:after {
	color: #00b9eb;
}

.folded #collapse-menu span {
	display: none;
}

#collapse-button,
#collapse-button div {
	width: 15px;
	height: 15px;
}

#collapse-button {
	float: left;
	height: 15px;
	margin: 10px 8px 10px 11px;
	width: 15px;
	-webkit-border-radius: 10px;
	border-radius: 10px;
}

#erewrap #collapse-button div {
	padding: 0;
}

#collapse-button div:after {
	content: "\f148";
	display: block;
	line-height: 15px;
	left: -3px;
	top: -3px;
	color: #a0a5aa;
	color: rgba(240,245,250,0.6);
	font: normal 20px/1 dashicons !important;
	speak: none;
	margin: 0 auto;
	padding: 0 !important;
	position: relative;
	text-align: center;
	width: 20px;
	-webkit-transition: all .1s ease-in-out;
	transition: all .1s ease-in-out;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

/* rtl:ignore */
.folded #collapse-button div:after,
.rtl #collapse-button div:after {
	-webkit-transform: rotate(180deg);
	-ms-transform: rotate(180deg);
	transform: rotate(180deg);
}

.rtl.folded #collapse-button div:after {
	-webkit-transform: none;
	-ms-transform: none;
	transform: none;
}

/**
 * Toolbar menu toggle
 */
li#ere-admin-bar-menu-toggle {
	display: none;
}

/* Hide-if-customize for items we can't add classes to */
.customize-support #menu-appearance a[href="themes.php?page=custom-header"],
.customize-support #menu-appearance a[href="themes.php?page=custom-background"] {
	display: none;
}

/* Auto-folding of the admin menu */
@media only screen and (max-width: 960px) {
	.auto-fold #erecontent,
	.auto-fold #erefooter {
		margin-left: 36px;
	}

	.auto-fold #adminmenuback,
	.auto-fold #adminmenuwrap,
	.auto-fold #adminmenu,
	.auto-fold #adminmenu li.menu-top {
		width: 36px;
	}

	.auto-fold #adminmenu .ere-submenu.sub-open,
	.auto-fold #adminmenu .opensub .ere-submenu,
	.auto-fold #adminmenu .ere-has-current-submenu .ere-submenu.sub-open,
	.auto-fold #adminmenu .ere-has-current-submenu.opensub .ere-submenu,
	.auto-fold #adminmenu a.menu-top:focus + .ere-submenu,
	.auto-fold #adminmenu .ere-has-current-submenu a.menu-top:focus + .ere-submenu  {
		top: 0px;
		left: 36px;
	}

	.auto-fold #adminmenu a.ere-has-current-submenu:focus + .ere-submenu,
	.auto-fold #adminmenu .ere-has-current-submenu .ere-submenu {
		position: absolute;
		top: -1000em;
		margin-right: -1px;
		padding: 7px 0 8px;
		z-index: 9999;
	}

	.auto-fold #adminmenu .ere-has-current-submenu .ere-submenu {
		min-width: 150px;
		width: auto;
	}

	.auto-fold #adminmenu .ere-has-current-submenu li > a {
		padding-right: 16px;
		padding-left: 14px;
	}


	.auto-fold #adminmenu li.menu-top .ere-submenu > li > a {
		padding-left: 12px;
	}

	.auto-fold #adminmenu .ere-menu-name {
		position: absolute;
		left: -999px;
	}

	.auto-fold #adminmenu .ere-submenu-head {
		display: block;
	}

	.auto-fold #adminmenu div.ere-menu-image {
		height: 30px;
		width: 34px;
		position: absolute;
		z-index: 25;
	}

	.auto-fold #adminmenu a.menu-top {
		height: 34px;
	}

	.auto-fold #adminmenu li.ere-menu-open {
		border: 0 none;
	}

	.auto-fold #adminmenu .ere-has-current-submenu.menu-top-last {
		margin-bottom: 0;
	}

	.auto-fold ul#adminmenu li:hover a.ere-has-current-submenu:after {
		display: none;
	}

	.auto-fold ul#adminmenu li.ere-has-submenu.ere-not-current-submenu:hover:after {
		border-width: 4px;
		margin-top: -4px;
		top: 16px;
	}

	.auto-fold ul#adminmenu a.ere-has-current-submenu:after,
	.auto-fold ul#adminmenu > li a.current:after {
		border-width: 4px;
		margin-top: -4px;
	}

	.auto-fold #adminmenu li.menu-top:hover,
	.auto-fold #adminmenu li.opensub > a.menu-top,
	.auto-fold #adminmenu li > a.menu-top:focus {
		z-index: 10000;
	}

	.auto-fold #collapse-menu span {
		display: none;
	}

	.auto-fold #collapse-button div {
		background: none;
	}

	/* rtl:ignore */
	.auto-fold #collapse-button div:after {
		-webkit-transform: rotate(180deg);
		-ms-transform: rotate(180deg);
		transform: rotate(180deg);
	}

	.rtl.auto-fold #collapse-button div:after {
		-webkit-transform: none;
		-ms-transform: none;
		transform: none;
	}

}

@media screen and ( max-width: 782px ) {
	.auto-fold #erecontent {
		position: relative;
		margin-left: 0;
		padding-left: 10px;
	}

	.sticky-menu #adminmenuwrap {
		position: relative;
		z-index: auto;
		top: 0;
	}

	/* Sidebar Adjustments */
	.auto-fold #adminmenu,
	.auto-fold #adminmenuback,
	.auto-fold #adminmenuwrap {
		position: absolute;
		width: 190px;
		z-index: 100;
	}

	.auto-fold #adminmenuback,
	.auto-fold #adminmenuwrap {
		display: none;
	}

	.auto-fold .ere-responsive-open #adminmenuback,
	.auto-fold .ere-responsive-open #adminmenuwrap {
		display: block;
	}

	.auto-fold #adminmenu li.menu-top {
		width: 100%;
	}

	/* Resize the admin menu items to a comfortable touch size */
	.auto-fold #adminmenu li a {
		font-size: 16px;
		padding: 5px;
	}

	.auto-fold #adminmenu li.menu-top .ere-submenu > li > a {
		padding: 10px 10px 10px 20px;
	}

	/* Restore the menu names */
	.auto-fold #adminmenu .ere-menu-name {
		position: static;
		margin-left: 35px;
	}

	/* Switch the arrow side */
	.auto-fold ul#adminmenu a.ere-has-current-submenu:after,
	.auto-fold ul#adminmenu > li.current > a.current:after {
		border-width: 8px;
		margin-top: -8px;
	}

	.auto-fold ul#adminmenu li.ere-has-submenu.ere-not-current-submenu:hover:after {
		display: none;
	}

	/* Make the submenus appear correctly when tapped. */
	#adminmenu .ere-submenu {
		position: relative;
		display: none;
	}

	.auto-fold #adminmenu .selected .ere-submenu,
	.auto-fold #adminmenu .ere-menu-open .ere-submenu {
		position: relative;
		display: block;
		top: 0;
		left: -1px;
		-webkit-box-shadow: none;
		box-shadow: none;
	}

	.auto-fold #adminmenu .selected .ere-submenu:after,
	.auto-fold #adminmenu .ere-menu-open .ere-submenu:after {
		display: none;
	}

	.auto-fold #adminmenu .opensub .ere-submenu {
		display: none;
	}

	.auto-fold #adminmenu .selected .ere-submenu {
		display: block;
	}

	.auto-fold ul#adminmenu li:hover a.ere-has-current-submenu:after {
		display: block;
	}

	.auto-fold #adminmenu a.menu-top:focus + .ere-submenu,
	.auto-fold #adminmenu .ere-has-current-submenu a.menu-top:focus + .ere-submenu {
		position: relative;
		left: -1px;
		right: 0;
		top: 0;
	}

	/* Remove submenu headers and adjust sub meu*/
	#adminmenu .ere-submenu .ere-submenu-head {
		display: none;
	}

	/* Toolbar menu toggle */
	#ere-responsive-toggle {
		position: fixed;
		top: 5px;
		left: 4px;
		padding-right: 10px;
		z-index: 99999;
		border: none;
		-webkit-box-sizing: border-box;
		-moz-box-sizing: border-box;
		box-sizing: border-box;
	}

	#ereadminbar #ere-admin-bar-menu-toggle a {
		display: block;
		padding: 0;
		overflow: hidden;
		outline: none;
		text-decoration: none;
		border: 1px solid transparent;
		background: none;
		height: 44px;
		margin-left: -1px;
	}

	.ere-responsive-open #ereadminbar #ere-admin-bar-menu-toggle a {
		background: #32373c;
	}

	li#ere-admin-bar-menu-toggle {
		display: block;
	}

	#ereadminbar #ere-admin-bar-menu-toggle a:hover {
		border: 1px solid transparent;
	}

	#ereadminbar #ere-admin-bar-menu-toggle .ab-icon:before {
		content: "\f228";
		display: inline-block;
		float: left;
		font: normal 40px/45px dashicons;
		vertical-align: middle;
		outline: none;
		margin: 0;
		-webkit-font-smoothing: antialiased;
		-moz-osx-font-smoothing: grayscale;
		height: 44px;
		width: 50px;
		padding: 0;
		border: none;
		text-align: center;
		text-decoration: none;
		-webkit-box-sizing: border-box;
		-moz-box-sizing: border-box;
		box-sizing: border-box;
	}

	.ere-responsive-open #ereadminbar #ere-admin-bar-menu-toggle .ab-icon:before {
		color: #00b9eb;
	}
}

/* Smartphone */
@media screen and (max-width: 600px) {
	#adminmenuwrap,
	#adminmenuback {
		display: none;
	}

	.ere-responsive-open #adminmenuwrap,
	.ere-responsive-open #adminmenuback {
		display: block;
	}

	.auto-fold #adminmenu {
		top: 46px;
	}
}
